%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major		2
%define api		0
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

Summary:	A configuration storage system for Xfce
Name:		xfconf
Version:	4.12.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Glib::MakeHelper)
BuildRequires:	perl(Glib)
BuildRequires:	perl-devel
Requires:	dbus-x11

%description
Xfconf is a hierarchical (tree-like) configuration
system for the Xfce graphical desktop environment.

%package -n %{libname}
Summary:	Main library for xfconf
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
Main library for the xfconf, a configuration
storage system for Xfce.

%package -n %{develname}
Summary:	Development files for xfconf
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	%{name} < 4.10.0

%description -n %{develname}
Development files and headers for %{name}.

%package -n perl-%{name}
Summary:	Perl bindings for %{name}
Group:		Development/Perl
Requires:	%{libname} = %{version}-%{release}

%description -n perl-%{name}
Perl bindings for %{name}.

%prep
%setup -q

%build
%configure2_5x	\
	--disable-static \
	--enable-perl-bindings

%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

#fix location
mkdir -p %{buildroot}%{_mandir}/man3
mv -f %{buildroot}/usr/local/share/man/man3/Xfce4::Xfconf.3pm %{buildroot}%{_mandir}/man3

#fix rights
chmod 755 %{buildroot}%{perl_sitearch}/auto/Xfce4/Xfconf/Xfconf.so

# dummy
mkdir -p %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS ChangeLog
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%{_bindir}/xfconf-query
%{_libdir}/xfce4/%{name}/xfconfd
%{_datadir}/dbus-1/services/org.xfce.Xfconf.service

%files -n %{libname}
%{_libdir}/*xfconf-%{api}.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/xfconf
%{_includedir}/xfce4/xfconf-%{api}
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/lib%{name}-%{api}.pc

%files -n perl-%{name}
%dir %{perl_sitearch}/Xfce4
%dir %{perl_sitearch}/Xfce4/Xfconf
%dir %{perl_sitearch}/Xfce4/Xfconf/Install
%dir %{perl_sitearch}/auto/Xfce4/Xfconf
%{perl_sitearch}/Xfce4/*.pm
%{perl_sitearch}/Xfce4/Xfconf/Install/*
%{perl_sitearch}/auto/Xfce4/Xfconf/*.so
%{_mandir}/man3/Xfce4::Xfconf.3pm.*


%changelog
* Tue Nov 01 2016 wally <wally> 4.12.1-1.mga6
+ Revision: 1064509
- new version 4.12.1

* Sun Jun 19 2016 pterjan <pterjan> 4.12.0-5.mga6
+ Revision: 1036654
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 4.12.0-4.mga6
+ Revision: 959252
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 tv <tv> 4.12.0-3.mga6
+ Revision: 846144
- rebuild with soname-ified perl

* Tue Jun 23 2015 sander85 <sander85> 4.12.0-2.mga6
+ Revision: 841196
- Rebuild for perl 5.22

* Tue Mar 03 2015 wally <wally> 4.12.0-1.mga5
+ Revision: 817390
- new version 4.12.0

* Wed Oct 15 2014 umeabot <umeabot> 4.10.0-8.mga5
+ Revision: 744934
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.10.0-7.mga5
+ Revision: 690643
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 4.10.0-6.mga5
+ Revision: 632389
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.10.0-5.mga4
+ Revision: 524141
- Mageia 4 Mass Rebuild

* Wed May 29 2013 fwang <fwang> 4.10.0-4.mga4
+ Revision: 430317
- rebuild for new perl

* Mon Jan 14 2013 umeabot <umeabot> 4.10.0-3.mga3
+ Revision: 386886
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 4.10.0-2.mga3
+ Revision: 251614
- perl 5.16 rebuild

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248409
- new version 4.10.0
- move docs to devel pkg
- don't regenerate docs at build time
- clean .spec

* Sat Dec 24 2011 wally <wally> 4.8.1-1.mga2
+ Revision: 187159
- new version 4.8.1

* Wed Sep 14 2011 fwang <fwang> 4.8.0-3.mga2
+ Revision: 143393
- drop .la files

* Sun Jun 12 2011 ahmad <ahmad> 4.8.0-2.mga2
+ Revision: 104500
- Rebuild for perl-5.14.0

* Thu Jan 27 2011 ahmad <ahmad> 4.8.0-1.mga1
+ Revision: 41566
- imported package xfconf

